Sweeper (gCube Resource Sweeper Widget 2.0.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.resourcesweeper.server

## Class Sweeper

- java.lang.Object
- - org.gcube.portlets.admin.resourcesweeper.server.Sweeper

-     public class Sweeper
      extends Object

  Author:
    Massimiliano Assante (ISTI-CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LIVE_GHN_MAX_MINUTES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sweeper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ArrayList<String>` | `applyQuery(org.gcube.common.scope.impl.ScopeBean queryScope, org.gcube.resourcemanagement.support.server.gcube.queries.QueryLocation queryPath, org.gcube.resourcemanagement.support.server.gcube.queries.QueryLocation returnPath, QueryParameter... params)`
    `Boolean` | `applySweep(org.gcube.common.scope.impl.ScopeBean queryScope, List<com.extjs.gxt.ui.client.data.ModelData> elems)`
    `ArrayList<String>` | `getDeadGHNs(org.gcube.common.scope.impl.ScopeBean queryScope)`
    `ArrayList<String>` | `getExpiredGHNs(org.gcube.common.scope.impl.ScopeBean queryScope)` this method used to read the MAXWAIT param from the resourcemanagement.properties files, currently it reads it from the static var defined on top of this class TODO: Make it configurable again from a property file
    `ArrayList<String>` | `getOrphanRI(org.gcube.common.scope.impl.ScopeBean queryScope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LIVE_GHN_MAX_MINUTES

          public static String LIVE_GHN_MAX_MINUTES

  - ### Constructor Detail

    - #### Sweeper

          public Sweeper()

  - ### Method Detail

    - #### applyQuery

          protected ArrayList<String> applyQuery(org.gcube.common.scope.impl.ScopeBean queryScope,
                                     org.gcube.resourcemanagement.support.server.gcube.queries.QueryLocation queryPath,
                                     org.gcube.resourcemanagement.support.server.gcube.queries.QueryLocation returnPath,
                                     QueryParameter... params)
                                          throws Exception

      Throws:
        `Exception`

    - #### getExpiredGHNs

          public ArrayList<String> getExpiredGHNs(org.gcube.common.scope.impl.ScopeBean queryScope)

      this method used to read the MAXWAIT param from the resourcemanagement.properties files, currently it reads it from the static var defined on top of this class TODO: Make it configurable again from a property file
      Parameters:
        `queryScope` -
      Returns:
        the expired ghn list

    - #### getDeadGHNs

          public ArrayList<String> getDeadGHNs(org.gcube.common.scope.impl.ScopeBean queryScope)

    - #### getOrphanRI

          public ArrayList<String> getOrphanRI(org.gcube.common.scope.impl.ScopeBean queryScope)

    - #### applySweep

          public Boolean applySweep(org.gcube.common.scope.impl.ScopeBean queryScope,
                           List<com.extjs.gxt.ui.client.data.ModelData> elems)

Copyright © 2014. All Rights Reserved.